single_tweener.cpp File Reference

Implementation of the claw::tween::single_tweener class. More...

`#include <claw/tween/single_tweener.hpp>`
`#include <algorithm>`
`#include <boost/bind.hpp>`
`#include "boost/throw_exception.hpp"`

Go to the source code of this file.

## Namespaces

namespace | boost
| Redefinition of some boost elements, required on some compilers.

## Functions

void | boost::throw_exception (std::exception const &exc)
| boost::throw_exception definition, Needed on XCode compiler. This implementation does nothing.

## Detailed Description

Implementation of the claw::tween::single_tweener class.

Author
  Julien Jorge

Definition in file single_tweener.cpp.

## Macro Definition Documentation

## WORKAROUND_BOOST_THROW_EXCEPTION

#define WORKAROUND_BOOST_THROW_EXCEPTION

Definition at line 60 of file single_tweener.cpp.